Set a statement attribute

- « PDOStatement::rowCount

- PDOStatement::setFetchMode »

- PHP Manual
- PDOStatement
- Set a statement attribute

# PDOStatement::setAttribute

(PHP 5 >= 5.1.0, PHP 7, PHP 8, PECL pdo >= 0.2.0)

PDOStatement::setAttribute — Set a statement attribute

### Description

public PDOStatement::setAttribute(int `$attribute`, mixed `$value`): bool

Sets an attribute on the statement. Currently, no generic attributes are set but only driver specific:

- `PDO::ATTR_CURSOR_NAME` (Firebird and ODBC specific): Set the name of cursor for `UPDATE ... WHERE CURRENT OF`.

Note that driver specific attributes must not be used with other drivers.

### Parameters

`attribute`

  The attribute to modify.

`value`

  The value to set the `attribute`, might require a specific type depending on the attribute.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- PDO::getAttribute() - Retrieve a database connection attribute
- PDO::setAttribute() - Set an attribute
- PDOStatement::getAttribute() - Retrieve a statement attribute